%define upstream_name    Dist-Zilla-App-Command-pot
%define upstream_version 2.000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Update i18n messages.pot file with new strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Prompt)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This command will update the messages file used for internationalization
purposes, collecting all the new strings since last invocation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Dec 11 2015 jquelin <jquelin> 2.0.0-1.mga6
+ Revision: 909458
- update to 2.000

* Wed Oct 15 2014 umeabot <umeabot> 1.112.680-5.mga5
+ Revision: 748090
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.112.680-3.mga4
+ Revision: 510929
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.112.680-2.mga3
+ Revision: 366022
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 25 2011 jquelin <jquelin> 1.112.680-1.mga2
+ Revision: 147763
- update to 1.112680

* Mon Apr 11 2011 jquelin <jquelin> 1.110.340-1.mga1
+ Revision: 83192
- imported package perl-Dist-Zilla-App-Command-pot


* Mon Apr 11 2011 cpan2dist 1.110340-1mga
- initial mageia release, generated with cpan2dist
